%define upstream_name    Convert-GeekCode
%define upstream_version 0.63

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Convert and generate geek code sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(inc::Module::Package)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
*Convert::GeekCode* converts and generates Geek Code sequences (cf.
http://geekcode.com/). It supports different language codes and
user-customizable codesets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/geekdec
/usr/bin/geekgen
%{_mandir}/man1/geekdec.1*
%{_mandir}/man1/geekgen.1*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.630.0-13.mga10
+ Revision: 2208367
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.630.0-12.mga9
+ Revision: 1818763
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.630.0-11.mga8
+ Revision: 1503605
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.630.0-10.mga7
+ Revision: 1282488
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.630.0-9.mga7
+ Revision: 1163550
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.630.0-8.mga7
+ Revision: 1159014
- add BR on perl(inc::Module::Package)
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.630.0-6.mga6
+ Revision: 1024371
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.630.0-5.mga6
+ Revision: 937980
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.630.0-4.mga5
+ Revision: 739300
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.630.0-3.mga5
+ Revision: 684017
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.630.0-2.mga4
+ Revision: 528806
- Mageia 4 Mass Rebuild

* Thu Jun 27 2013 shlomif <shlomif> 0.630.0-1.mga4
+ Revision: 447577
- update to 0.63

* Sun Jan 13 2013 umeabot <umeabot> 0.620.0-2.mga3
+ Revision: 364794
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 kharec <kharec> 0.620.0-1.mga2
+ Revision: 175457
- imported package perl-Convert-GeekCode


* Sat Dec 03 2011 cpan2dist 0.62-1mga
- initial mageia release, generated with cpan2dist
